# -*- coding:Utf-8 -*-

import es
import playerlib
import gamethread
import psyco
psyco.full()

__version__ = 'v3.0'

info = es.AddonInfo()
info.name     = 'One Shot One Kill'
info.version  = __version__
info.url      = ''
info.basename = 'oneshotonekill'
info.author   = 'UltiNaruto'
osok_falldamage = es.ServerVar('osok_falldamage',0,'Disable/Enable Fall Damage')

def load():
	es.msg('#green', '[ONE SHOT ONE KILL %s] Loaded' % info.version)

def unload():
	es.msg('#lightgreen', '[ONE SHOT ONE KILL %s] Unloaded' % info.version)

def round_start(ev):
	pre_falldmg()
	
def round_end(ev):
	gamethread.cancelDelayed('pre_falldmg')
	
def player_spawn(ev):
	player = playerlib.getPlayer(int(ev['userid']))
	player.setHealth(0)

def pre_falldmg():
	global osok_falldamage
	uid_list = es.getUseridList('#alive')
	for userid in uid_list:
		player = playerlib.getPlayer(userid)
		if player.isDead==0 and int(osok_falldamage)==0:
			fall_vel = es.getplayerprop(userid, 'CBasePlayer.localdata.m_Local.m_flFallVelocity')
			if fall_vel>300:
				player.setHealth(10000)
			elif fall_vel<=300:
				player.setHealth(0)
				
	gamethread.delayedname(.0125, 'pre_falldmg', pre_falldmg)